Subject: [mpls] Update to draft-ietf-mpls-sfc-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 5 Aug 2018 17:02:14 +0100

Hi,

In Montreal, Andy said he would send some proposed text for inclusion in section
4.4 of this draft to help resolve the concern about the overlap between the
"micro chains" described in that section and SFC achieved using MPLS-SR as
described in section 4.5 and draft-xuclad-spring-sr-service-chaining.

Andy did that very promptly, and I have just got round to posting the update.

Now would be a good time to look through the draft to see whether there are any
further issues the authors should be attending to.

Thanks,
Adrian

> -----Original Message-----
> From: mpls [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: 05 August 2018 16:54
> To: [email-masked]
> Cc: [email-masked]
> Subject: [mpls] I-D Action: draft-ietf-mpls-sfc-02.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Multiprotocol Label Switching WG of the IETF.
> 
>         Title           : An MPLS-Based Forwarding Plane for Service Function
Chaining
>         Authors         : Adrian Farrel
>                           Stewart Bryant
>                           John Drake
> 	Filename        : draft-ietf-mpls-sfc-02.txt
> 	Pages           : 28
> 	Date            : 2018-08-05
> 
> Abstract:
>    Service Function Chaining (SFC) is the process of directing packets
>    through a network so that they can be acted on by an ordered set of
>    abstract service functions before being delivered to the intended
>    destination.  An architecture for SFC is defined in RFC7665.
> 
>    The Network Service Header (NSH) can be inserted into packets to
>    steer them along a specific path to realize a Service Function Chain.
> 
>    Multiprotocol Label Switching (MPLS) is a widely deployed forwarding
>    technology that uses labels placed in a packet in a label stack to
>    identify the forwarding actions to be taken at each hop through a
>    network.  Actions may include swapping or popping the labels as well,
>    as using the labels to determine the next hop for forwarding the
>    packet.  Labels may also be used to establish the context under which
>    the packet is forwarded.
> 
>    This document describes how Service Function Chaining can be achieved
>    in an MPLS network by means of a logical representation of the NSH in
>    an MPLS label stack.  It does not deprecate or replace the NSH, but
>    acknowledges that there may be a need for an interim deployment of
>    SFC functionality in brownfield networks.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-sfc/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-mpls-sfc-02
> https://datatracker.ietf.org/doc/html/draft-ietf-mpls-sfc-02
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-sfc-02
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sun, 5 Aug 2018 20:38:29 +0300

The new section 4.4 text (plus a small wording change in section 12)
addresses my previous comments on the draft.

Adrian, thanks!

Cheers,
Andy